# Uses of Class
javax.swing.filechooser.FileView

Packages that use FileView
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of FileView in javax.swing

Methods in javax.swing that return FileView
Modifier and Type
Method
Description
`FileView`
JFileChooser.`getFileView()`
Returns the current file view.
Methods in javax.swing with parameters of type FileView
Modifier and Type
Method
Description
`void`
JFileChooser.`setFileView​(FileView fileView)`
Sets the file view to be used to retrieve UI information, such as the icon that represents a file or the type description of a file.

## Uses of FileView in javax.swing.plaf

Methods in javax.swing.plaf that return FileView
Modifier and Type
Method
Description
`abstract FileView`
FileChooserUI.`getFileView​(JFileChooser fc)`
Returns a file view.

## Uses of FileView in javax.swing.plaf.basic

Subclasses of FileView in javax.swing.plaf.basic
Modifier and Type
Class
Description
`protected class`
`BasicFileChooserUI.BasicFileView`
A basic file view.
Methods in javax.swing.plaf.basic that return FileView
Modifier and Type
Method
Description
`FileView`
BasicFileChooserUI.`getFileView​(JFileChooser fc)`

## Uses of FileView in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi that return FileView
Modifier and Type
Method
Description
`FileView`
MultiFileChooserUI.`getFileView​(JFileChooser a)`
Invokes the `getFileView` method on each UI handled by this object.